import moment from 'moment-timezone';

const localTimeZone = moment.tz.guess();

export default function getUpcomingDate(now, weekday: String|Number) {
  let wanted = moment()
    .tz('CET')
    .isoWeekday(weekday)
    .second(0)
    .minute(0)
    .hour(0)
    .tz(localTimeZone);

  if (wanted.isBefore(now)) {
    // we want the date from the upcoming week
    wanted = wanted.add(1, 'weeks');
  }

  return wanted;
}
